define(["require", "exports", "tslib", "react", "office-ui-fabric-react/lib/Button", "office-ui-fabric-react/lib/ContextualMenu", "office-ui-fabric-react/lib/Label", "office-ui-fabric-react/lib/Utilities", "./Button.Basic.Example.styles"], function (require, exports, tslib_1, React, Button_1, ContextualMenu_1, Label_1, Utilities_1, Button_Basic_Example_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var ButtonContextualMenuExample = /** @class */ (function (_super) {
        tslib_1.__extends(ButtonContextualMenuExample, _super);
        function ButtonContextualMenuExample() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this._getMenu = function (menuProps) {
                // Customize contextual menu with menuAs
                return React.createElement(ContextualMenu_1.ContextualMenu, tslib_1.__assign({}, menuProps));
            };
            return _this;
        }
        ButtonContextualMenuExample.prototype.render = function () {
            var _a = this.props, disabled = _a.disabled, checked = _a.checked;
            var getClassNames = Utilities_1.classNamesFunction();
            var classNames = getClassNames(Button_Basic_Example_styles_1.getStyles, {});
            return (React.createElement("div", { className: Utilities_1.css(classNames.twoup) },
                React.createElement("div", null,
                    React.createElement(Label_1.Label, null, "Non persisted menu"),
                    React.createElement(Button_1.DefaultButton, { "data-automation-id": "test", disabled: disabled, allowDisabledFocus: true, checked: checked, iconProps: { iconName: 'Add' }, menuAs: this._getMenu, text: "New", 
                        // tslint:disable-next-line:jsx-no-lambda
                        onMenuClick: function (ev) {
                            console.log(ev);
                        }, menuProps: {
                            items: [
                                {
                                    key: 'emailMessage',
                                    text: 'Email message',
                                    iconProps: { iconName: 'Mail' }
                                },
                                {
                                    key: 'calendarEvent',
                                    text: 'Calendar event',
                                    iconProps: { iconName: 'Calendar' }
                                }
                            ],
                            directionalHintFixed: true
                        } })),
                React.createElement("div", null,
                    React.createElement(Label_1.Label, null, "Persisted menu"),
                    React.createElement(Button_1.DefaultButton, { "data-automation-id": "test", disabled: disabled, allowDisabledFocus: true, checked: checked, persistMenu: true, iconProps: { iconName: 'Add' }, menuAs: this._getMenu, text: "New", 
                        // tslint:disable-next-line:jsx-no-lambda
                        onMenuClick: function (ev) {
                            console.log(ev);
                        }, menuProps: {
                            items: [
                                {
                                    key: 'emailMessage',
                                    text: 'Email message',
                                    iconProps: { iconName: 'Mail' }
                                },
                                {
                                    key: 'calendarEvent',
                                    text: 'Calendar event',
                                    iconProps: { iconName: 'Calendar' }
                                }
                            ],
                            directionalHintFixed: true
                        } }))));
        };
        return ButtonContextualMenuExample;
    }(React.Component));
    exports.ButtonContextualMenuExample = ButtonContextualMenuExample;
});
//# sourceMappingURL=Button.ContextualMenu.Example.js.map