"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Stack_1 = require("../Stack");
var Styling_1 = require("office-ui-fabric-react/lib/Styling");
var HorizontalStackGrowExample = /** @class */ (function (_super) {
    tslib_1.__extends(HorizontalStackGrowExample, _super);
    function HorizontalStackGrowExample() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    HorizontalStackGrowExample.prototype.render = function () {
        var styles = Styling_1.mergeStyleSets({
            root: {
                background: Styling_1.DefaultPalette.themeTertiary
            },
            item: {
                height: 50,
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center',
                color: Styling_1.DefaultPalette.white,
                background: Styling_1.DefaultPalette.themePrimary
            }
        });
        return (React.createElement(Stack_1.Stack, { horizontal: true, gap: 5, padding: 10, className: styles.root },
            React.createElement(Stack_1.Stack.Item, { grow: 3, className: styles.item }, "Grow is 3"),
            React.createElement(Stack_1.Stack.Item, { grow: 2, className: styles.item }, "Grow is 2"),
            React.createElement(Stack_1.Stack.Item, { grow: true, className: styles.item }, "Grow is 1")));
    };
    return HorizontalStackGrowExample;
}(React.Component));
exports.HorizontalStackGrowExample = HorizontalStackGrowExample;
//# sourceMappingURL=Stack.Horizontal.Grow.Example.js.map