"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var TextField_1 = require("office-ui-fabric-react/lib/TextField");
require("./TextField.Examples.scss");
var exampleData_1 = require("office-ui-fabric-react/lib/utilities/exampleData");
var TextFieldMultilineExample = /** @class */ (function (_super) {
    tslib_1.__extends(TextFieldMultilineExample, _super);
    function TextFieldMultilineExample(props) {
        var _this = _super.call(this, props) || this;
        _this._onChange = function (ev, newText) {
            var newMultiline = newText.length > 50;
            if (newMultiline !== _this.state.multiline) {
                _this.setState({ multiline: newMultiline });
            }
        };
        _this.state = { multiline: false };
        _this._lorem = exampleData_1.lorem(100);
        return _this;
    }
    TextFieldMultilineExample.prototype.render = function () {
        return (React.createElement("div", { className: "docs-TextFieldExample" },
            React.createElement(TextField_1.TextField, { label: "Standard", multiline: true, rows: 4 }),
            React.createElement(TextField_1.TextField, { label: "Disabled", multiline: true, rows: 4, disabled: true, value: this._lorem }),
            React.createElement(TextField_1.TextField, { label: "Required", multiline: true, rows: 4, required: true }),
            React.createElement(TextField_1.TextField, { label: "Non-resizable", multiline: true, resizable: false }),
            React.createElement(TextField_1.TextField, { label: "With auto adjusting height", multiline: true, autoAdjustHeight: true }),
            React.createElement(TextField_1.TextField, { label: "Switches from single to multiline if more than 50 characters are entered", multiline: this.state.multiline, onChange: this._onChange })));
    };
    return TextFieldMultilineExample;
}(React.Component));
exports.TextFieldMultilineExample = TextFieldMultilineExample;
//# sourceMappingURL=TextField.Multiline.Example.js.map