import * as tslib_1 from "tslib";
import * as React from 'react';
import { DefaultButton } from 'office-ui-fabric-react/lib/Button';
import { FocusTrapZone } from 'office-ui-fabric-react/lib/FocusTrapZone';
import { FocusZone, FocusZoneDirection } from 'office-ui-fabric-react/lib/FocusZone';
import { Toggle } from 'office-ui-fabric-react/lib/Toggle';
import './FocusTrapZone.Box.Example.scss';
var BoxExample = /** @class */ (function (_super) {
    tslib_1.__extends(BoxExample, _super);
    function BoxExample(props) {
        var _this = _super.call(this, props) || this;
        _this._onButtonClickHandler = function () {
            _this.setState({
                isChecked: true
            });
        };
        _this._onExitButtonClickHandler = function () {
            _this.setState({
                isChecked: false
            });
        };
        _this._onFocusTrapZoneToggleChanged = function (ev, isChecked) {
            _this.setState({
                isChecked: isChecked
            }, function () { return _this._toggle.focus(); });
        };
        _this._setRef = function (toggle) {
            _this._toggle = toggle;
        };
        _this.state = {
            isChecked: false
        };
        return _this;
    }
    BoxExample.prototype.render = function () {
        var _this = this;
        var isChecked = this.state.isChecked;
        return (React.createElement("div", null,
            React.createElement(DefaultButton, { secondaryText: "Focuses inside the FocusTrapZone", onClick: this._onButtonClickHandler, text: "Go to Trap Zone" }),
            (function () {
                if (isChecked) {
                    return (React.createElement(FocusTrapZone, { forceFocusInsideTrap: true, focusPreviouslyFocusedInnerElement: true }, _this._internalContents()));
                }
                else {
                    return React.createElement("div", null, _this._internalContents());
                }
            })()));
    };
    BoxExample.prototype._internalContents = function () {
        var _this = this;
        var isChecked = this.state.isChecked;
        return (React.createElement("div", { className: "ms-FocusTrapZoneBoxExample" },
            React.createElement(FocusZone, { direction: FocusZoneDirection.horizontal, "data-is-visible": true },
                React.createElement(DefaultButton, { text: "FZ1" }),
                React.createElement(DefaultButton, { text: "FZ1" }),
                React.createElement(DefaultButton, { text: "FZ1" })),
            React.createElement("br", null),
            React.createElement(DefaultButton, { text: "No FZ" }),
            React.createElement("br", null),
            React.createElement("br", null),
            React.createElement(FocusZone, { direction: FocusZoneDirection.horizontal, "data-is-visible": true },
                React.createElement(DefaultButton, { text: "FZ2" }),
                React.createElement(DefaultButton, { text: "FZ2" }),
                React.createElement(DefaultButton, { text: "FZ2" })),
            React.createElement("br", null),
            React.createElement(Toggle, { componentRef: this._setRef, checked: isChecked, onChange: this._onFocusTrapZoneToggleChanged, label: "Focus Trap Zone", onText: "On", offText: "Off" }),
            (function () {
                if (isChecked) {
                    return (React.createElement(DefaultButton, { secondaryText: "Exit Focus Trap Zone", onClick: _this._onExitButtonClickHandler, text: "Exit Focus Trap Zone" }));
                }
            })()));
    };
    return BoxExample;
}(React.Component));
export default BoxExample;
//# sourceMappingURL=FocusTrapZone.FocusZone.Example.js.map