import * as tslib_1 from "tslib";
import * as React from 'react';
import { Stack } from '../Stack';
import { mergeStyleSets, DefaultPalette } from 'office-ui-fabric-react/lib/Styling';
var VerticalStackHorizontalAlignExample = /** @class */ (function (_super) {
    tslib_1.__extends(VerticalStackHorizontalAlignExample, _super);
    function VerticalStackHorizontalAlignExample() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VerticalStackHorizontalAlignExample.prototype.render = function () {
        var styles = mergeStyleSets({
            root: {
                background: DefaultPalette.themeTertiary,
                selectors: {
                    '> *': {
                        width: 50,
                        height: 50,
                        display: 'flex',
                        alignItems: 'center',
                        justifyContent: 'center',
                        background: DefaultPalette.themePrimary,
                        color: DefaultPalette.white
                    }
                }
            }
        });
        return (React.createElement(Stack, { gap: 5 },
            React.createElement("span", null, "Left-aligned"),
            React.createElement(Stack, { horizontalAlign: "start", className: styles.root },
                React.createElement("span", null, "1"),
                React.createElement("span", null, "2")),
            React.createElement("span", null, "Horizontally centered"),
            React.createElement(Stack, { horizontalAlign: "center", className: styles.root },
                React.createElement("span", null, "1"),
                React.createElement("span", null, "2")),
            React.createElement("span", null, "Right-aligned"),
            React.createElement(Stack, { horizontalAlign: "end", className: styles.root },
                React.createElement("span", null, "1"),
                React.createElement("span", null, "2"))));
    };
    return VerticalStackHorizontalAlignExample;
}(React.Component));
export { VerticalStackHorizontalAlignExample };
//# sourceMappingURL=Stack.Vertical.HorizontalAlign.Example.js.map